@book{russell2010aima,
  author = {Russell, S. and Norvig, P.},
  edition = {Third},
  publisher = {Prentice Hall},
  series = {Series in Artificial Intelligence},
  title = {Artificial Intelligence: A Modern Approach},
  url = {http://aima.cs.berkeley.edu/},
  year = 2010
}
